#!/bin/sh

for file in $* ; do

	{
	echo "// Emacs: -*- C++ -*-"
cat << EOF

//
//	Copyright 1993, Center for Computer Vision and Visualization,
//	University of Florida.  All rights reserved.
//

EOF
if true; then
cat << EOF
static char copyright[] = "Copyright 1993, Center for Computer Vision and Visualization,\nUniversity of Florida.  All rights reserved.\n";

EOF
fi
	grep -v '^// Emacs.* -\*- C\+\+ -\*-$' $file
	} > $file.new
	mv $file $file.orig
	mv $file.new $file

done
